﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.Dock;

 
@model Toyota.Common.Web.MVC.ModelHolder       
           
@{    
    var mmProdMonthDate = TempData["MMProdMonth"] as string;
}

<div style="display:block; float:left; width:100%" >

<table border="0" cellpadding="3" cellspacing="3">
   <tr>
        <td style="padding-left:10px">PR Number</td>
        <td>
        @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "PR_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 90;
                    //settings.Properties.ClientSideEvents.KeyPress = "CheckChar";
                }).GetHtml()
         </td>
         <td>&nbsp;</td>
         <td>Production Month</td>
         <td>
         @Html.DevExpress().TextBox(
            SetText =>
            {
                SetText.Name = "PRMonth";
                SetText.Properties.EnableClientSideAPI = true;
                SetText.Text = ViewBag.FromDate;
                        
                SetText.Width = 120;

            }).GetHtml()
         @*@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "PRMonth";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.DisplayFormatString = "MMMM yyyy";
                        settings.Properties.EditFormatString = "MMMM yyyy";
                        settings.ReadOnly = true;
                        
                        settings.Width = 120;                        
                        settings.Properties.ClientSideEvents.Init = @"
                        function OnInit(s, e) {
                            var calendar = s.GetCalendar();
                            calendar.owner = s;
                            calendar.SetVisible(false);                        
                        }";

                        settings.Properties.ClientSideEvents.DropDown = @"
                        function OnDropDown(s, e) {
                            var calendar = s.GetCalendar();
                            var fastNav = calendar.fastNavigation;
                            fastNav.activeView = calendar.GetView(0, 0);
                            fastNav.Prepare();
                            fastNav.GetPopup().popupVerticalAlign = 'Below';
                            fastNav.GetPopup().ShowAtElement(s.GetMainElement())

                            fastNav.OnOkClick = function () {
                                //alert(PRMonth.GetValue());  

                                var parentDateEdit = this.calendar.owner;
                                var currentDate = new Date(fastNav.activeYear, fastNav.activeMonth, 1);
                                parentDateEdit.SetDate(currentDate);
                                
                                parentDateEdit.HideDropDown();
                            }

                            fastNav.OnCancelClick = function () {
                                var parentDateEdit = this.calendar.owner;
                                parentDateEdit.HideDropDown();
                            }
                        }";
                        
                    }
                ).GetHtml()*@
         </td>
         <td>&nbsp;</td>
         <td>Status</td>
         <td>
            
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "PR_STATUS";
                    s.GridProperties.Name = "grlStatusHeaderGrid";
                    s.GridProperties.KeyFieldName = "SYSTEM_VALUE";
                    
                    s.Width = 130;
                    
                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31104", Action = "StatusLookup" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(100);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                    s.GridProperties.Settings.VerticalScrollableHeight = 152;
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SYSTEM_VALUE";
                        c.FieldName = "SYSTEM_VALUE";
                        c.Caption = "Name";
                        //c.Width = Unit.Pixel(150);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        
                    });
                    
                }
            ).Bind(ViewData["StatusLookup"]).GetHtml()
          </td>
   </tr>

</table>
<br />
<table cellpadding="3" cellspacing="3" border="0">
    <tr>
    <td  style="padding-left:10px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnRelease";
                settings.Text = "Release Approval";
                //settings.Width = Unit.Pixel(80);
                //settings.Style.Add("display", "inline-table");
                settings.ClientSideEvents.Click = "btnRelease_Click";
            }).GetHtml()
     </td>

     <td>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnreject";
                settings.Text = "Reject";
                settings.Width = Unit.Pixel(80);
                settings.ClientSideEvents.Click = "btnreject_Click";
                settings.Style.Add("display", "inline-table");

            }).GetHtml()
     </td>

     <td>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnDownload";
                settings.Text = "Download";
                settings.Width = Unit.Pixel(80);
                settings.Style.Add("display", "inline-table");
                settings.ClientSideEvents.Click = "DownloadData";

            }).GetHtml()
     </td>
     <td width="20px">&nbsp</td>
     <td>
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnView";
                button.Text = "Show Detail";
                button.Width = Unit.Pixel(100);
                button.Style.Add("display", "inline-table");
               // button.ClientSideEvents.Click = "ShowDetail";   
                button.ClientSideEvents.Click = "ShowDetail";   
            }).GetHtml()
     </td>
     <td>
                @Html.DevExpress().Button(
                settings =>
                    {
                        settings.Name = "PRSearchButton";
                        settings.Text = "Search";
                        settings.UseSubmitBehavior = true;
                        settings.Width = Unit.Pixel(80);
                        settings.Style.Add("display", "inline-table");
                        settings.ClientSideEvents.Click = "SearchData";
                    }
                ).GetHtml()
       </td>
    
       <td>
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnClear";
                    settings.Text = "Clear";
                    settings.Width = Unit.Pixel(80);
                    settings.ClientSideEvents.Click = "ClearGrid";
                    settings.Style.Add("display", "inline-table");

                }).GetHtml()
        </td>
        <td></td>
    
    
    
    
    
    </tr>
</table>
</div>
